{
  "realm": "dodossh",
  "enabled": true,
  "displayName": "DodoSSH (development)",
  "sslRequired": "none",
  "registrationAllowed": false,
  "loginWithEmailAllowed": true,
  "duplicateEmailsAllowed": false,
  "accessTokenLifespan": 900,
  "ssoSessionIdleTimeout": 1800,
  "ssoSessionMaxLifespan": 36000,

  "clients": [
    {
      "clientId": "dodossh-desktop",
      "name": "DodoSSH Desktop",
      "enabled": true,
      "protocol": "openid-connect",
      "publicClient": true,
      "standardFlowEnabled": true,
      "directAccessGrantsEnabled": false,
      "serviceAccountsEnabled": false,
      "implicitFlowEnabled": false,
      "attributes": {
        "pkce.code.challenge.method": "S256",
        "post.logout.redirect.uris": "http://127.0.0.1/*"
      },
      "redirectUris": [
        "http://127.0.0.1/callback"
      ],
      "webOrigins": [],
      "protocolMappers": [
        {
          "name": "dodossh-api-audience",
          "protocol": "openid-connect",
          "protocolMapper": "oidc-audience-mapper",
          "consentRequired": false,
          "config": {
            "included.custom.audience": "dodossh-api",
            "access.token.claim": "true",
            "id.token.claim": "false"
          }
        }
      ]
    }
  ],

  "users": [
    {
      "username": "alice",
      "enabled": true,
      "emailVerified": true,
      "email": "alice@example.com",
      "firstName": "Alice",
      "lastName": "Example",
      "realmRoles": [
        "default-roles-dodossh"
      ],
      "credentials": [
        {
          "type": "password",
          "value": "alice",
          "temporary": false
        }
      ]
    },
    {
      "username": "bob",
      "enabled": true,
      "emailVerified": true,
      "email": "bob@example.com",
      "firstName": "Bob",
      "lastName": "Example",
      "realmRoles": [
        "default-roles-dodossh"
      ],
      "credentials": [
        {
          "type": "password",
          "value": "bob",
          "temporary": false
        }
      ]
    }
  ]
}
